import { ActionType } from "@/core";
import { ActionFunctionParams, ChainActionParams } from "../shared";
import { BlockchainAction } from "./blockchain_action.abstract";
export declare class SolanaAction extends BlockchainAction {
    static initialize(data: ChainActionParams): Promise<SolanaAction>;
    static buildDepositTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, }: ActionFunctionParams): Promise<BlockchainAction>;
    static buildBorrowTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, hostAddress, }: ActionFunctionParams): Promise<SolanaAction>;
    static buildDepositReserveLiquidityTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, }: ActionFunctionParams): Promise<SolanaAction>;
    static buildRedeemReserveCollateralTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, }: ActionFunctionParams): Promise<SolanaAction>;
    static buildDepositObligationCollateralTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, }: ActionFunctionParams): Promise<SolanaAction>;
    static buildWithdrawTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, }: ActionFunctionParams): Promise<SolanaAction>;
    static buildRepayTxns({ network, connection, amount, symbol, publicKey, supplyToEarnApys, supplyToEarnRewards, lendingMarketAddress, nftVoucherAddress, nftInterestAmount, }: ActionFunctionParams): Promise<SolanaAction>;
    addDepositIx(): Promise<void>;
    addWithdrawIx(): Promise<void>;
    addRepayIx(): Promise<void>;
    addRepayNFTVoucherIx(): Promise<void>;
    addSupportIxs(action: ActionType): Promise<void>;
    private addRefreshIxs;
    private addObligationIxs;
    private addAtaIxs;
    private updateWSOLAccount;
}
