/// <reference types="@solana/web3.js" />
/// <reference types="@solana/spl-token/node_modules/@solana/web3.js" />
/// <reference types="@renec-foundation/oracle-sdk/node_modules/@solana/web3.js" />
import { BlockchainNetwork } from "@/classes";
export declare class ConstantsHelper {
    static getConfig(network: BlockchainNetwork): {
        name: string;
        isPrimary: boolean;
        description: string;
        creator: string;
        address: string;
        hidden: boolean;
        isPermissionless: boolean;
        authorityAddress: string;
        owner: string;
        reserves: {
            liquidityToken: {
                coingeckoID: string;
                decimals: number;
                logo: string;
                mint: string;
                name: string;
                symbol: string;
                volume24h: number;
            };
            pythOracle: string;
            switchboardOracle: string;
            address: string;
            collateralMintAddress: string;
            collateralSupplyAddress: string;
            liquidityAddress: string;
            liquidityFeeReceiverAddress: string;
            userBorrowCap: number;
            userSupplyCap: number;
        }[];
        lookupTableAddress: string;
    }[];
    static getProgramId(network: BlockchainNetwork): import("@solana/web3.js").PublicKey;
    static getPDA(network: BlockchainNetwork): import("@renec-foundation/oracle-sdk").PDA;
    static getPricePair(network: BlockchainNetwork): import("./utils/prices").PricePair[];
    static getUSDPricePair(network: BlockchainNetwork): import("./utils/prices").PricePair;
    static getRPCEndpointUrl(network: BlockchainNetwork): string;
    static isRenecChain(network: BlockchainNetwork): boolean;
    static isSolanaChain(network: BlockchainNetwork): boolean;
}
