import { PDA } from "@renec-foundation/oracle-sdk";
import { PricePair } from "./utils/prices";
export declare const RENEC_MAINNET_URL = "https://api-mainnet-beta.renec.foundation:8899";
export declare const RENEC_TESTNET_URL = "https://api-testnet.renec.foundation:8899";
export declare const getRenecRpcEndpointUrl: () => "https://api-mainnet-beta.renec.foundation:8899" | "https://api-testnet.renec.foundation:8899";
export declare const IS_USING_MAINNET_TESTING_PROGRAM: boolean;
export declare const IS_USING_TESTNET_V2: boolean;
export declare const IS_USING_E2E_TESTNET: boolean;
export declare const REEARN_PROGRAM_ID: string;
export declare const REEARN_ADMIN_ADDRESS: string;
export declare const REL_MINT: string;
export declare const BTE_REWARD_TOKEN: string;
export declare const RELEND_INFO_MAINNET: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_TEST: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_TESTNET_V2: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RELEND_INFO_MAINNET_TEST_REVND_RENGN: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const getRelendInfo: () => {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const RENEC_REUSD_PRICE_MAINNET: PricePair;
export declare const RENEC_REUSD_PRICE_TESTNET: PricePair;
export declare const RENEC_PRICE_PAIRS_MAINNET: PricePair[];
export declare const RENEC_PRICE_PAIRS_MAINNET_TEST_REVND_RENGN: PricePair[];
export declare const RENEC_PRICE_PAIRS_TESTNET: PricePair[];
export declare const RELEND_INFO_E2E_TEST: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const getRenecReUSDPricePair: () => PricePair;
export declare const getRenecPricePair: () => PricePair[];
export declare const RENEC_PDA_ORACLE_MAINNET: PDA;
export declare const RENEC_PDA_ORACLE_TESTNET: PDA;
export declare const getRenecPDAOracle: () => PDA;
