import { PDA } from "@renec-foundation/oracle-sdk";
import { PricePair } from "./utils/prices";
export declare const SOLANA_MAINNET_URL: string;
export declare const SOLANA_DEVNET_URL: string;
export declare const getSolanaRpcEndpointUrl: () => string;
export declare const SOLANA_INFO_MAINNET: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const SOLANA_INFO_DEVNET: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const SOLANA_INFO_PHUC_DEVNET: {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
export declare const getSolanaInfo: () => {
    name: string;
    isPrimary: boolean;
    description: string;
    creator: string;
    address: string;
    hidden: boolean;
    isPermissionless: boolean;
    authorityAddress: string;
    owner: string;
    reserves: {
        liquidityToken: {
            coingeckoID: string;
            decimals: number;
            logo: string;
            mint: string;
            name: string;
            symbol: string;
            volume24h: number;
        };
        pythOracle: string;
        switchboardOracle: string;
        address: string;
        collateralMintAddress: string;
        collateralSupplyAddress: string;
        liquidityAddress: string;
        liquidityFeeReceiverAddress: string;
        userBorrowCap: number;
        userSupplyCap: number;
    }[];
    lookupTableAddress: string;
}[];
/**
 * Price pairs
 */
export declare const USDT_PRICE_MAINNET: PricePair;
export declare const SOLANA_PRICE_PAIRS_MAINNET: PricePair[];
export declare const SOLANA_ORACLE_KEYS: {
    [key: string]: {
        pythPriceOracle: string;
        pythProductOracle: string;
        switchboardOracle: string;
    };
};
export declare const getSolanaUSDTPricePair: () => PricePair;
export declare const getSolanaPricePair: () => PricePair[];
export declare const SOLANA_PDA_ORACLE_MAINNET: PDA;
export declare const getSolanaPDAOracle: () => PDA;
