"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSolanaPDAOracle = exports.SOLANA_PDA_ORACLE_MAINNET = exports.getSolanaPricePair = exports.getSolanaUSDTPricePair = exports.SOLANA_ORACLE_KEYS = exports.SOLANA_PRICE_PAIRS_MAINNET = exports.USDT_PRICE_MAINNET = exports.getSolanaInfo = exports.SOLANA_INFO_PHUC_DEVNET = exports.SOLANA_INFO_DEVNET = exports.SOLANA_INFO_MAINNET = exports.getSolanaRpcEndpointUrl = exports.SOLANA_DEVNET_URL = exports.SOLANA_MAINNET_URL = void 0;
const oracle_sdk_1 = require("@renec-foundation/oracle-sdk");
const web3_js_1 = require("@solana/web3.js");
const constants_common_1 = require("./constants.common.js");
exports.SOLANA_MAINNET_URL = process.env.NEXT_PUBLIC_SOLANA_MAINNET_URL ||
    "https://attentive-dark-sound.solana-mainnet.quiknode.pro/82b11a979bf524d01dd9d552c158b933a76852e0/";
exports.SOLANA_DEVNET_URL = process.env.NEXT_PUBLIC_SOLANA_DEVNET_URL ||
    "https://devnet.helius-rpc.com/?api-key=771f4ac4-3e06-4042-97a9-a22c77b5cc34";
const getSolanaRpcEndpointUrl = () => process.env.NEXT_PUBLIC_IS_MAINNET === "true" ? exports.SOLANA_MAINNET_URL : exports.SOLANA_DEVNET_URL;
exports.getSolanaRpcEndpointUrl = getSolanaRpcEndpointUrl;
// ! RELEND INFO
exports.SOLANA_INFO_MAINNET = [
    {
        name: "main",
        isPrimary: true,
        description: "",
        creator: "AaJy5CcKS8S8oyFHDiU2voNz9sTSM4GyyWzcuXE42QvT",
        address: "GqCXjw24DiMjHoPFK2XPuUduKjjjPoLV575LPdTvnsJE",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "3n13W32bxPojuHu9eWsvwsFVf5BnsZqeodKdTEHoeMNm",
        owner: "AaJy5CcKS8S8oyFHDiU2voNz9sTSM4GyyWzcuXE42QvT",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "Wrapped BTC (Portal)",
                    decimals: 8,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/3NZ9JMVBmGAqocybic2c7LQCJScmgsAZ6vQqTDzcqmJh/logo.png",
                    mint: "3NZ9JMVBmGAqocybic2c7LQCJScmgsAZ6vQqTDzcqmJh",
                    name: "Wrapped BTC (Portal)",
                    symbol: constants_common_1.WBTC,
                    volume24h: 24000,
                },
                pythOracle: "GVXRSBjFk6e6J3NbVPXohDJetcTjaeeuykUpbQF8UoMU",
                switchboardOracle: "8SXvChNYFhRq4EZuZvnhjrB3jJRQCv4k3P4W6hesH3Ee",
                address: "D3vpLMDeZPquVgRJ7Vp67HQtFscMa2JmMWYS32Q4355J",
                collateralMintAddress: "HhahLeAPnoP1Q7Vy9E3anWtAXnuZVzJERtsW5fMn7sre",
                collateralSupplyAddress: "5TWiGH69Ce9oUfHo1CX6fb8EU9UQ4niukEJrGS4EdTNE",
                liquidityAddress: "7aGb2zem9EHGaxjJJVPDjZfp4nMreNeEVGdsfkVUMjSN",
                liquidityFeeReceiverAddress: "ueVU5DDpLjt4zDcHjq4rbkTUEWgEcE7UqigsBbpgZCF",
                userBorrowCap: 200000000000000,
                userSupplyCap: 500000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Ether (Portal)",
                    decimals: 8,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/7vfCXTUXx5WJV5JADk17DUJ4ksgau7utNKj4b963voxs/logo.png",
                    mint: "7vfCXTUXx5WJV5JADk17DUJ4ksgau7utNKj4b963voxs",
                    name: "Ether (Portal)",
                    symbol: constants_common_1.ETH,
                    volume24h: 24000,
                },
                pythOracle: "JBu1AL4obBcCMqKBBxhpWCNUt136ijcuMZLFvTP7iWdB",
                switchboardOracle: "HNStfhaLnqwF2ZtJUizaA9uHDAVB976r2AgTUx9LrdEo",
                address: "4qqEMNFzYM3CZNpqWMokG1irctD9mvfxJgwjNnKk46zC",
                collateralMintAddress: "8we3sgwustyTr8XrpUg2NUL9aFueGGuDaiawf3T2k49u",
                collateralSupplyAddress: "hZA4c5hY8xP8Zcnpaqep8Lt3G58w6x9L8112ea5qrV1",
                liquidityAddress: "Hhc1fsTwtyRmkPpDh1Skt5KJz3HPKcjCivHkvUejGi8L",
                liquidityFeeReceiverAddress: "8kWq5ZiZnWXR1K3D1KQuLVHNT9XoW19sLZE5TVjnJ1Yq",
                userBorrowCap: 200000000000000,
                userSupplyCap: 500000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: constants_common_1.USDT,
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB/logo.svg",
                    mint: "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
                    name: constants_common_1.USDT,
                    symbol: constants_common_1.USDT,
                    volume24h: 24000,
                },
                pythOracle: "3vxLXJqLqF3JG5TCbYycbKWRBbCJQLxQmBGCkyqEEefL",
                switchboardOracle: "ETAaeeuQBwsh9mC2gCov9WdhJENZuffRMXY2HgjCcSL9",
                address: "CqYaAZVvv1293rNRfhyswXauGjMVcmixj9eb8CgXsW1v",
                collateralMintAddress: "8k2mcHwoDXL2teFWMDeVoaCQqMJXsQmsAyBeH4Y96M8m",
                collateralSupplyAddress: "zV5CWGbmmxcbnAoz8ysXaWS85SijX5YtTdNsuvd6pUV",
                liquidityAddress: "GfiVAieYdJtcC5acvRetFt3knydWEJZqji48rm4KcWGj",
                liquidityFeeReceiverAddress: "Hnv8gjis5GkF8GagTGv29LWrvnufkBLz5kmhJPZ8kwMm",
                userBorrowCap: 2000000000000,
                userSupplyCap: 5000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: constants_common_1.VND,
                    decimals: 0,
                    logo: "https://renec-homepage.s3.amazonaws.com/tokens/vnd.png",
                    mint: "7FBCEQp56yk4Rah46jnbRqPPVKB4WuAX9YgAhXhqsgRz",
                    name: constants_common_1.VND,
                    symbol: constants_common_1.VND,
                    volume24h: 24000,
                },
                pythOracle: "CDHtgj9CJuRZeMdZiYvNNCTKWBDQZZeXzVcoiDyryaL4",
                switchboardOracle: "ETAaeeuQBwsh9mC2gCov9WdhJENZuffRMXY2HgjCcSL9",
                address: "48t5kbjsk3STsJd3Eg3zxYyY8nMvY14Ka1BGsc37YUdE",
                collateralMintAddress: "HJpV35Tg72YbRs3SesDtthja5g1GWhN9PCAVFsC7sN44",
                collateralSupplyAddress: "72hHGd9SpPqm258TMSe3j9rJ1sxxhggDHdnn4vHLKWFi",
                liquidityAddress: "AcKDkUmypD8hHVyS9XjGJsq1EoLCc9MdyEg1ENz6sZ6V",
                liquidityFeeReceiverAddress: "GzH5wb4Workk5F9qP93CbF199tWwQWNVPQDWaKr4ydxG",
                userBorrowCap: 5000000000,
                userSupplyCap: 10000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Wrapped SOL",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "Wrapped SOL",
                    symbol: "SOL",
                    volume24h: 24000,
                },
                pythOracle: "H6ARHf6YXhGYeQfUzQNGk6rDNnLBQKrenN712K4AQJEG",
                switchboardOracle: "GvDMxPzN1sCj7L26YDK2HnMRXEQmQ2aemov8YBtPS7vR",
                address: "73ujKUUGJ6oqRfk6TWmj6v4mTguqMVuE61WVVZSfH2sm",
                collateralMintAddress: "7XGHiYeW2xMP2qXLDXMwATb3HQNLBgxdYmSbdvHg2Pag",
                collateralSupplyAddress: "EQHFrVhTkuVEZHZKSNXKXy3YqErtVGQWm1mPM5Xyzdq9",
                liquidityAddress: "9jabwVfaEvXb8CS23Tz97mBMqhBS56DDYisrsWWjrCsm",
                liquidityFeeReceiverAddress: "Dzd2VnpV96F7HAWf2B1U2tBWNXVbiVYKtngL6R3pkcD7",
                userBorrowCap: 2000000000000000,
                userSupplyCap: 5000000000000000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
exports.SOLANA_INFO_DEVNET = [
    {
        name: "main",
        isPrimary: true,
        description: "",
        creator: "Aowncx5MXJV1zqixh93ZedyPMsT4qS6oA9frbGm8wEGq",
        address: "GvjoVKNjBvQcFaSKUW1gTE7DxhSpjHbE69umVR5nPuQp",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "EhJ4fwaXUp7aiwvZThSUaGWCaBQAJe3AEaJJJVCn3UCK",
        owner: "Aowncx5MXJV1zqixh93ZedyPMsT4qS6oA9frbGm8wEGq",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "Saber IOU Token (Liquidity Mining Rewards)",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/Saber2gLauYim4Mvftnrasomsv6NvAuncvMEZwcLpD1/logo.svg",
                    mint: "BS4TfsqZtH9FEGL3LmyFn56PXj8AzLKEga3zvpCTGRat",
                    name: "Saber IOU Token (Liquidity Mining Rewards)",
                    symbol: constants_common_1.SBR,
                    volume24h: 24000,
                },
                pythOracle: "4WSN3XDSTfBX9A1YXGg8HJ7n2GtWMDNbtz1ab6aGGXfG",
                switchboardOracle: "Lp3VNoRQi699VZe6u59TV8J38ELEUzxkaisoWsDuJgB",
                address: "5CXDzn4AygQwu59fGxo34T965BmYMHuGvAuoRMeRBKg4",
                collateralMintAddress: "4GAGuewTRMfBJukgu3HSzpT48iqP4bYVCq3tygnjqmxL",
                collateralSupplyAddress: "Db5uVF9TyReRFTg6xWmq95Let4QECFLiyWfB7jaT2UYz",
                liquidityAddress: "3WXNo8rCMJCmg5cMrdXRxGrK3NaCvTBrrSaBhKZxotN3",
                liquidityFeeReceiverAddress: "68NTVqTKtVkCCKNLn7qYAuwdyGnm6DQTjBrzc2RAh5vH",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 1000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "BTC Bitcoin",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/BTCWALLETCOIN/BTC/main/assets/Bitcoin-BTC-icon%20(2).png",
                    mint: "6hiEcA2aTgudqdP2DzEYpk5d4knFS8dv9RdotbxaErgQ",
                    name: "BTC Bitcoin",
                    symbol: constants_common_1.BTC,
                    volume24h: 24000,
                },
                pythOracle: "HovQMDrbAgAYPCmHVSrezcSmkMtXSSUsLDFANExrZh2J",
                switchboardOracle: "74YzQPGUT9VnjrBz8MuyDLKgKpbDqGot5xZJvTtMi6Ng",
                address: "FNXBRv3saDgVoaoDLV5ho28D4AvZikG9r7QpThTLak9f",
                collateralMintAddress: "7YaBJi5jnuadi5LZBB9NgRt1hPKhA7qQYWkzU11kgRcn",
                collateralSupplyAddress: "E7VrkNMts9jLQvyaEnkzeRrSKbyog5jgmNL17ddpRXw1",
                liquidityAddress: "EoUGEC2HxF6X6DJWbS3KCdtFnLaQgS6YiQjsdYc9Zs3d",
                liquidityFeeReceiverAddress: "97d6hUpWY4YMMmqyTLf73LBK57patB9YrU4updyhkwiG",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 30000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "THE SUN",
                    decimals: 6,
                    logo: "https://arweave.net/7mhSk9OMb57Yuuc0pGbBY1rfcnw5Ft3SmaFtuoR5GLo",
                    mint: "DxHj7TMuG5R9mXdy6UYj6G5K5GWkFPEGKjpc67mEo4Wz",
                    name: "THE SUN",
                    symbol: constants_common_1.RAY,
                    volume24h: 24000,
                },
                pythOracle: "EhgAdTrgxi4ZoVZLQx1n93vULucPpiFi2BQtz9RJr1y6",
                switchboardOracle: "CppyF6264uKZkGua1brTUa2fSVdMFSCszwzDs76HCuzU",
                address: "FpKhrtU6nDjEcAi3SsSevRRgPzirLkZpmXD6nfeb7k8c",
                collateralMintAddress: "C2JUrHN3Jj4CzL1behQ8mHmswBvYGy9UcjNvvCCmEdVT",
                collateralSupplyAddress: "C2hbitGdACQ9SA4D28hcTPqo2zJSQ3eiR7gHSdhgsFfJ",
                liquidityAddress: "FLAa7VtxEcwjZoqvewweBG2q1aEdMLfEn9XUC8vDdiy2",
                liquidityFeeReceiverAddress: "E5nGW6GrPgF1RUfi3Q1JAJ6QRzN2SXvEXs6smHeU6qUc",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 1000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "USD Coin",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
                    mint: "zVzi5VAf4qMEwzv7NXECVx5v2pQ7xnqVVjCXZwS9XzA",
                    name: "USD Coin",
                    symbol: constants_common_1.USDC,
                    volume24h: 24000,
                },
                pythOracle: "5SSkXsEKQepHHAewytPVwdej4epN1nxgLVM84L4KXgy7",
                switchboardOracle: "CZx29wKMUxaJDq6aLVQTdViPL754tTR64NAgQBUGxxHb",
                address: "FNNkz4RCQezSSS71rW2tvqZH1LCkTzaiG7Nd1LeA5x5y",
                collateralMintAddress: "E2PSSXsXJGdpqhhaV3rYPpuy1inRCQAWxcdykA1DTmYr",
                collateralSupplyAddress: "FiUyeMAnZYkLCbrPGwjJWQwzYJ5AjD6p9N9fx6VxDPMt",
                liquidityAddress: "HixjFJoeD2ggqKgFHQxrcJFjVvE5nXKuUPYNijFg7Kc5",
                liquidityFeeReceiverAddress: "DiM1Lf3HiAVpmG3bFNVGXfGaxdUck8oZcTr3tTQfLL6P",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 150000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Wrapped FTT (Sollet)",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/AGFEad2et2ZJif9jaGpdMixQqvW5i81aBdvKe7PHNfz3/logo.png",
                    mint: "DdpesN97RCHtLmdQtvv1MwuubkY2thuCUJAZ5W1AgZWt",
                    name: "Wrapped FTT (Sollet)",
                    symbol: constants_common_1.SO_FTT,
                    volume24h: 24000,
                },
                pythOracle: "6vivTRs5ZPeeXbjo7dfburfaYDWoXjBtdtuYgQRuGfu",
                switchboardOracle: "6SqRewrr5f4ycWy7NvLmNgpXJbhwXrtTc1erL9aq2gP3",
                address: "8eUYeEiGXRMN7V9Xx7CehwSRfJB9iQfJW249zX1z7Uue",
                collateralMintAddress: "6G9TFs48EkWQodGHAK1fjXC8umqZBdn8Mc8bX5iUvc2j",
                collateralSupplyAddress: "86JDgSSADv6yfnYNUf4TbivQcbtaSSUtMdmHVyVy3Grv",
                liquidityAddress: "J6zcVXn8MaLaHmF8MMiX3CRMWcCiVbnZsh46Ftrcy848",
                liquidityFeeReceiverAddress: "FRrLhjyonZH4zESzqdEW6RfNaV1krAR7UK8frijUd5cL",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 1000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "SRM token coin",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/9AaKcdu5eymQwR19qwYFsqiqcXgL3iAxMQyshRpbqg6z/logo.png",
                    mint: "GLnwzTMdvETds6JrLoAVxTCZGaLNtJufp1QZ5HAiLb5q",
                    name: "SRM token coin",
                    symbol: constants_common_1.SRM,
                    volume24h: 24000,
                },
                pythOracle: "992moaMQKs32GKZ9dxi8keyM2bUmbrwBZpK4p2K6X5Vs",
                switchboardOracle: "BAoygKcKN7wk8yKzLD6sxzUQUqLvhBV1rjMA4UJqfZuH",
                address: "5YKmMZcuWEdF5NavNK4MgKPRhnhw6jq22zwcdh1dvxbd",
                collateralMintAddress: "GVje4h3Sy8mFZgEAdpacZLq7jRLczkU9HcuAZSr6f9YM",
                collateralSupplyAddress: "8ke4e75cXjss36J6B6d31GB6EH7rPmcJU7TNzYETDZvr",
                liquidityAddress: "7ZgqrvQ66xjqTptxQWwrjA9hADXn5CtCXzMxPxsHJpec",
                liquidityFeeReceiverAddress: "BKTTY5gibk5UQRMvPHwva7Y1qU5JySNQQddpTSPALunS",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Mercurial",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/MERt85fc5boKw3BW1eYdxonEuJNvXbiMbs6hvheau5K/logo.png",
                    mint: "Cj1qY2iPJNqJ1RJtMWZHya5jM53skKRVixPpvtthekPF",
                    name: "Mercurial",
                    symbol: constants_common_1.MER,
                    volume24h: 24000,
                },
                pythOracle: "6Z3ejn8DCWQFBuAcw29d3A5jgahEpmycn7YDMX7yRNrn",
                switchboardOracle: "5pHX3fd81SpGywzsw4R12L3Xu3qd418h1PcnHpQAiMWA",
                address: "HbXi7Gpe5GXzE7V1SjEEy3sDurmFi7RbTvCZ3Rd7Nv6b",
                collateralMintAddress: "66F7DZxwKB4KpPy3xFMzRRzh2pLHhJ7qegBM3ejFAwg4",
                collateralSupplyAddress: "3dC3WXMfjrr1VKtuUGiaY5rCgH7MgEMNcZz3avanVHg3",
                liquidityAddress: "Bf9C8miLK98QDprTYW21d7ekwiaPt9BUBv1GAwKAcU6V",
                liquidityFeeReceiverAddress: "9HayYeYcnpKw29Gb64EbDypsTLrTeU5ovNnBEVpLsKwd",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 15000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Ether (Portal)",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/7vfCXTUXx5WJV5JADk17DUJ4ksgau7utNKj4b963voxs/logo.png",
                    mint: "ECReE2Qo48af56BwUkx876eNP2M54NYp8HFLugTPrVWo",
                    name: "Ether (Portal)",
                    symbol: constants_common_1.ETH,
                    volume24h: 24000,
                },
                pythOracle: "EdVCmQ9FSPcVe5YySXDPCRmc8aDQLKJ9xvYBMZPie1Vw",
                switchboardOracle: "QJc2HgGhdtW4e7zjvLB1TGRuwEpTre2agU5Lap2UqYz",
                address: "CuQcLfN3iTWqyEEbAHNZp7awChbR4KQPFJsTUhsAxrcu",
                collateralMintAddress: "3kqx7NHrBWUD6LuWvvwzocpTVt7TDYbJ3ad7HNUPSBf6",
                collateralSupplyAddress: "9YgdDM7mYdk4Mw6UoJtUtVWiAdYMsBRq3DCvbG4t6yth",
                liquidityAddress: "4YQEgAzjFDmPBcmJYVLXdeGtKzC4Y5gy5Mo6PwiaASVd",
                liquidityFeeReceiverAddress: "HMPbxzhejGYXyUcPeKkJLL68SbT5o6r5kGJEr21haCg5",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 500000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Marinade staked SOL (mSOL)",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/mSoLzYCxHdYgdzU16g5QSh3i5K3z3KZK7ytfqcJm7So/logo.png",
                    mint: "B9FyrxFK8zFugDbrcyduwbVw2PTUN5ckUHZCTf3ogjn",
                    name: "Marinade staked SOL (mSOL)",
                    symbol: constants_common_1.M_SOL,
                    volume24h: 24000,
                },
                pythOracle: "9a6RNx3tCu1TSs6TBSfV2XRXEPEZXQ6WB7jRojZRvyeZ",
                switchboardOracle: "CEPVH2t11KS4CaL3w4YxT9tRiijoGA4VEbnQ97cEpDmQ",
                address: "Ei2dC7hFxBhVq5pn4qNJLMxKBSojx7p7wnNoBz4HELKG",
                collateralMintAddress: "7tQWCtBuyrSbZR1Yxcjw35QtQPRp2zkNGirxP2Dbh8Zm",
                collateralSupplyAddress: "6pg9yFWVk6dRJ87ftxR8mrGV9JG9NyRMNbxoqMC8KkvU",
                liquidityAddress: "B3g1A7diypnBpc2Zet75UxQvH6a5RERAans8icRP4BEX",
                liquidityFeeReceiverAddress: "6L9e2iedgvHez7iSaDJLUnSUfJs45pzaJ5CKWnaD4HAc",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 10000000000000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Wrapped SOL",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "Wrapped SOL",
                    symbol: constants_common_1.SOL,
                    volume24h: 24000,
                },
                pythOracle: "J83w4HKfqxwcq3BEMMkPFSppX3gqekLyLJBexebFVkix",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "5VVLD7BQp8y3bTgyF5ezm1ResyMTR3PhYsT4iHFU8Sxz",
                collateralMintAddress: "FzwZWRMc3GCqjSrcpVX3ueJc6UpcV6iWWb7ZMsTXE3Gf",
                collateralSupplyAddress: "J5KGpESS8Zq2MvK4rtL6wKbeMRYZzb6TEzn8qPsZFgGd",
                liquidityAddress: "furd3XUtjXZ2gRvSsoUts9A5m8cMJNqdsyR2Rt8vY9s",
                liquidityFeeReceiverAddress: "5kFqzU2k1tEXtoeNayk1TVxLycoAH5k8WsaGnBnanYJH",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
exports.SOLANA_INFO_PHUC_DEVNET = [
    {
        name: "main",
        isPrimary: true,
        description: "",
        creator: "4qqsHKBX1J6v8vmmVY8Dkg4kS8jvJFhd9R3uBU3G69x7",
        address: "8CkJkMf2h3zst6Kxja8XxMNEfmscvCTh7QJvvFNcydvJ",
        hidden: false,
        isPermissionless: false,
        authorityAddress: "HBJVn5nUMeGNr75CkNNjvhjx7MNxsTXNmGcG7p4Nv8ka",
        owner: "4qqsHKBX1J6v8vmmVY8Dkg4kS8jvJFhd9R3uBU3G69x7",
        reserves: [
            {
                liquidityToken: {
                    coingeckoID: "Wrapped SOL",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/So11111111111111111111111111111111111111112/logo.png",
                    mint: "So11111111111111111111111111111111111111112",
                    name: "Wrapped SOL",
                    symbol: "SOL",
                    volume24h: 24000,
                },
                pythOracle: "J83w4HKfqxwcq3BEMMkPFSppX3gqekLyLJBexebFVkix",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "ASw7nEoTmezJxgTb2UcnfvRdHxRcZrwrwTB5YiVRZ2rE",
                collateralMintAddress: "AguLhKaWJK2Zh3pzP2UjDEeoZx3LAiUdHLpNwdZPZGCG",
                collateralSupplyAddress: "EcFaFY1d5prbLMMqVrfrCHJXYJrkgqf315xL8R1mTKFV",
                liquidityAddress: "BFSDYXFjKFWP8tSnNFksDvQTo1pax8Y7B7KDTbjzWyjG",
                liquidityFeeReceiverAddress: "8cZpqVHtbHhuPkgfxcUdKYo8meYVQqk8Z3EbdaNJvgVe",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
            {
                liquidityToken: {
                    coingeckoID: "USD Coin",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
                    mint: "Gh9ZwEmdLJ8DscKNTkTqPbNwLNNBjuSzaG9Vp2KGtKJr",
                    name: "USD Coin",
                    symbol: "USDC",
                    volume24h: 24000,
                },
                pythOracle: "5SSkXsEKQepHHAewytPVwdej4epN1nxgLVM84L4KXgy7",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "Cr6AhMbF6hu6b3nTmqKZ77ZxkC9yzJN4DZYh8WLFR7Kp",
                collateralMintAddress: "6FyUMW31qBpukiocG6JkgQ8PbVEsJFBzjTvuu7DRPwa1",
                collateralSupplyAddress: "94mKzfgTW6DzV8qtJrD3CwPgyqhe2uUpgZMMaVwV2KFx",
                liquidityAddress: "5FR5h8vsuuCBq127ixUbe2TXo1Xa4qw3Ag6KawcVCF6b",
                liquidityFeeReceiverAddress: "SvbZAqEAMZLpe3zFcfuxaoquZsDGgDRvxYMBK6p1Db7",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
            {
                liquidityToken: {
                    coingeckoID: "BTC Bitcoin",
                    decimals: 6,
                    logo: "https://raw.githubusercontent.com/BTCWALLETCOIN/BTC/main/assets/Bitcoin-BTC-icon%20(2).png",
                    mint: "7yV6F93LdxpRzNyL7yUqEHo4Wq813sdvJvKAbrUJZMyb",
                    name: "BTC Bitcoin",
                    symbol: "BTC",
                    volume24h: 24000,
                },
                pythOracle: "HovQMDrbAgAYPCmHVSrezcSmkMtXSSUsLDFANExrZh2J",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "FXXmNEYFXVvBogKQXcAtU3BSt5KBX6NMvuXVABcp6wLx",
                collateralMintAddress: "BRGuhmPezgsYZVoPZoq5ZmJtzyREx1J2GKAWisJZ6etZ",
                collateralSupplyAddress: "5Ddzd5XYk1LuPhmKe1k2Vcyy4ywfRbzU9SgKJNybdrpL",
                liquidityAddress: "9DMGcgkbngAf33268E1UfuavYqv1w1HHsPTkt2ZvZkP2",
                liquidityFeeReceiverAddress: "ABTZEmhQ2Nou6abfJ4JqQyvwHmyXM5joAJq4fWnwnZfx",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
            {
                liquidityToken: {
                    coingeckoID: "Ether (Portal)",
                    decimals: 9,
                    logo: "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/7vfCXTUXx5WJV5JADk17DUJ4ksgau7utNKj4b963voxs/logo.png",
                    mint: "EHw5y522kwzxYYCQ3HpSxMqHABDdkvei8izxPXFXFMBK",
                    name: "Ether (Portal)",
                    symbol: "ETH",
                    volume24h: 24000,
                },
                pythOracle: "EdVCmQ9FSPcVe5YySXDPCRmc8aDQLKJ9xvYBMZPie1Vw",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "HUgXCfAZ41UoaWgs7SQu1TqhtAq3jrEASKga8DSyBfff",
                collateralMintAddress: "ANK3LopVAyvaha1cfai4xDwb6beccRCzeArHQPGwhgUc",
                collateralSupplyAddress: "8RNurU1bdmPLBJGEJVjjjS2zz4v7XhfBkadu9t8i3Ld1",
                liquidityAddress: "8vhWYsCVqxtdw1bxewBT5og2zPPiA94LEkjZr2ux6bA3",
                liquidityFeeReceiverAddress: "8AaYaGuQkwTeYXcdyGFqF11qt89mTajNHHHw6HUmDboC",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
            {
                liquidityToken: {
                    coingeckoID: constants_common_1.VND,
                    decimals: 0,
                    logo: "https://renec-homepage.s3.amazonaws.com/tokens/vnd.png",
                    mint: "52B5s1DtuWLNfz8papZ8uZVVKobEBjpWtbcRR7vHiyXr",
                    name: constants_common_1.VND,
                    symbol: constants_common_1.VND,
                    volume24h: 24000,
                },
                pythOracle: "BoaM1xcfUhhP2TvfTakHVCBscxQiYmHMEnostzQXmXTr",
                switchboardOracle: "AdtRGGhmqvom3Jemp5YNrxd9q9unX36BZk1pujkkXijL",
                address: "Fd7r6Hu7GAkV4Tkhd8Mwd947n2vHoXtr5E6LX33NnAYs",
                collateralMintAddress: "4KWWjoKgKvH5ZQPRoWTmm3BQu8hufdvvmQnQtXBCME1T",
                collateralSupplyAddress: "EubPdeCytxQaYKZ2PP4idfQvRro9e2UxKjUjvZL2RD1R",
                liquidityAddress: "4wWeiXkhf3iKzS3MoE4sqjJ6R2Sh8AddXyouMejEutBK",
                liquidityFeeReceiverAddress: "4XRGKUfFobYq71ofJ4jt7DhCi9kHQ65JFhDGtHLt8emi",
                userBorrowCap: 18446744073709552000,
                userSupplyCap: 18446744073709552000,
            },
        ],
        lookupTableAddress: "89ig7Cu6Roi9mJMqpY8sBkPYL2cnqzpgP16sJxSUbvct",
    },
];
const getSolanaInfo = () => constants_common_1.IS_MAINNET ? exports.SOLANA_INFO_MAINNET : constants_common_1.IS_USING_PHUC_DEVNET_SOL ? exports.SOLANA_INFO_PHUC_DEVNET : exports.SOLANA_INFO_DEVNET;
exports.getSolanaInfo = getSolanaInfo;
/**
 * Price pairs
 */
exports.USDT_PRICE_MAINNET = {
    network: "mainnet",
    version: "1",
    quoteSymbol: constants_common_1.USDT,
    quoteToken: "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
    baseSymbol: constants_common_1.USDT,
    baseToken: "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
    maxPrice: "1",
    minPrice: "1",
};
exports.SOLANA_PRICE_PAIRS_MAINNET = [
    {
        network: "mainnet",
        version: "1",
        quoteSymbol: constants_common_1.VND,
        quoteToken: "7FBCEQp56yk4Rah46jnbRqPPVKB4WuAX9YgAhXhqsgRz",
        baseSymbol: constants_common_1.USDT,
        baseToken: "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        maxPrice: "3000",
        minPrice: "1000",
    },
];
exports.SOLANA_ORACLE_KEYS = {
    D3vpLMDeZPquVgRJ7Vp67HQtFscMa2JmMWYS32Q4355J: {
        pythPriceOracle: "GVXRSBjFk6e6J3NbVPXohDJetcTjaeeuykUpbQF8UoMU",
        pythProductOracle: "4aDoSXJ5o3AuvL7QFeR6h44jALQfTmUUCTVGDD6aoJTM",
        switchboardOracle: "8SXvChNYFhRq4EZuZvnhjrB3jJRQCv4k3P4W6hesH3Ee",
    },
    "4qqEMNFzYM3CZNpqWMokG1irctD9mvfxJgwjNnKk46zC": {
        pythPriceOracle: "JBu1AL4obBcCMqKBBxhpWCNUt136ijcuMZLFvTP7iWdB",
        pythProductOracle: "EMkxjGC1CQ7JLiutDbfYb7UKb3zm9SJcUmr1YicBsdpZ",
        switchboardOracle: "HNStfhaLnqwF2ZtJUizaA9uHDAVB976r2AgTUx9LrdEo",
    },
    CqYaAZVvv1293rNRfhyswXauGjMVcmixj9eb8CgXsW1v: {
        pythPriceOracle: "3vxLXJqLqF3JG5TCbYycbKWRBbCJQLxQmBGCkyqEEefL",
        pythProductOracle: "Av6XyAMJnyi68FdsKSPYgzfXGjYrrt6jcAMwtvzLCqaM",
        switchboardOracle: "ETAaeeuQBwsh9mC2gCov9WdhJENZuffRMXY2HgjCcSL9",
    },
    "48t5kbjsk3STsJd3Eg3zxYyY8nMvY14Ka1BGsc37YUdE": {
        pythPriceOracle: "CDHtgj9CJuRZeMdZiYvNNCTKWBDQZZeXzVcoiDyryaL4",
        pythProductOracle: "5P2mR41Ae7EBHPRZYm1vMsDiJ6NFyTnWR5G2smvNQGb8",
        switchboardOracle: "ETAaeeuQBwsh9mC2gCov9WdhJENZuffRMXY2HgjCcSL9",
    },
    "73ujKUUGJ6oqRfk6TWmj6v4mTguqMVuE61WVVZSfH2sm": {
        pythPriceOracle: "H6ARHf6YXhGYeQfUzQNGk6rDNnLBQKrenN712K4AQJEG",
        pythProductOracle: "ALP8SdU9oARYVLgLR7LrqMNCYBnhtnQz1cj6bwgwQmgj",
        switchboardOracle: "GvDMxPzN1sCj7L26YDK2HnMRXEQmQ2aemov8YBtPS7vR",
    }, // SOL
};
const getSolanaUSDTPricePair = () => exports.USDT_PRICE_MAINNET;
exports.getSolanaUSDTPricePair = getSolanaUSDTPricePair;
const getSolanaPricePair = () => exports.SOLANA_PRICE_PAIRS_MAINNET;
exports.getSolanaPricePair = getSolanaPricePair;
exports.SOLANA_PDA_ORACLE_MAINNET = new oracle_sdk_1.PDA(new web3_js_1.PublicKey("89DvhEnYKECgKfBSmbZZ2uurQcMdUgd6KsnbvCHX9zkY"));
const getSolanaPDAOracle = () => exports.SOLANA_PDA_ORACLE_MAINNET;
exports.getSolanaPDAOracle = getSolanaPDAOracle;
