"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const classes_1 = require("../../classes/index.js");
const web3_js_1 = require("@solana/web3.js");
const constants_helper_1 = require("../constants.helper.js");
const constants_solana_1 = require("../constants.solana.js");
const config_1 = require("./config.js");
const pools_1 = require("./pools.js");
jest.mock("../constants.common", () => {
    const originalModule = jest.requireActual("../constants.common");
    return {
        __esModule: true,
        ...originalModule,
        IS_MAINNET: true,
    };
});
describe("fetchPools", () => {
    const connection = new web3_js_1.Connection(constants_solana_1.SOLANA_MAINNET_URL);
    it("should return parsed reserves", async () => {
        const result = await (0, config_1.fetchPoolMetadata)(classes_1.BlockchainNetwork.SOLANA, connection, true, false);
        const defaultPools = Object.fromEntries(result.map((pool) => [
            pool.address,
            {
                name: pool.name,
                authorityAddress: pool.authorityAddress,
                address: pool.address,
                owner: pool.owner,
                reserves: [],
            },
        ]));
        const currentSlot = await connection.getSlot();
        await (0, pools_1.fetchPools)(classes_1.BlockchainNetwork.SOLANA, Object.values(defaultPools), connection, constants_helper_1.ConstantsHelper.getProgramId(classes_1.BlockchainNetwork.SOLANA).toBase58(), currentSlot, true);
    });
});
